stages:
  - deploy

variables:
  COMPOSE_PROJECT_NAME: travelmarine-backend
  DOCKER_HOST: unix:///var/run/docker.sock

deploy:
  stage: deploy
  only:
    - main
  script:
    - docker compose -p "$COMPOSE_PROJECT_NAME" up -d --build
  environment:
    name: production
    url: http://89.169.188.2